package speiger.src.coreengine.rendering.guiOld.components.list;

import java.util.Map;
import java.util.UUID;

import speiger.src.coreengine.rendering.guiOld.GuiBase;
import speiger.src.coreengine.rendering.guiOld.GuiComponent;

public interface IListEntry
{
	public float getWidth();
	
	public default float getHighlightWidth() { return -1F; }
	
	public void init(GuiComponent comp, GuiBase owner);
	
	public void updateState(GuiComponent comp, float scale);
	
	public void onClosed();
	
	public void onFixedUpdate();
		
	public void onRender(GuiComponent comp, boolean enabled, int mouseX, int mouseY, float particalTicks);
	
	public void collectTooltips(GuiComponent comp, int mouseX, int mouseY, float particalTicks, Map<UUID, GuiComponent> collector);
}
